'use strict';

var array = [1, 2, 3, 4, 5, 6];

function filter(numbers, filterfunc) {
    let filtered = [];

    for (let n of numbers) {
        if (filterfunc(n)) {
            filtered.push(n);
        }
    }

    return filtered;
}

var filtered = filter(array, numb => numb % 2 === 0);

console.log('Even numbers: ' + filtered);
